summaryrefslogtreecommitdiff
path: root/opie-networkapplet/opie-networkapplet_1.1.7.oe
diff options
context:
space:
mode:
Diffstat (limited to 'opie-networkapplet/opie-networkapplet_1.1.7.oe')
-rw-r--r--opie-networkapplet/opie-networkapplet_1.1.7.oe38
1 files changed, 38 insertions, 0 deletions
diff --git a/opie-networkapplet/opie-networkapplet_1.1.7.oe b/opie-networkapplet/opie-networkapplet_1.1.7.oe
index e69de29bb2..634f1db3f4 100644
--- a/opie-networkapplet/opie-networkapplet_1.1.7.oe
+++ b/opie-networkapplet/opie-networkapplet_1.1.7.oe
@@ -0,0 +1,38 @@
+DESCRIPTION = "Network Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+MAINTAINER = "Team Opie <opie@handhelds.org>"
+LICENSE = "GPL"
+RDEPENDS = "opie-networksettings"
+
+APPNAME = "networkapplet"
+
+TAG = "${@'v' + oe.data.getVar('PV',d,1).replace('.', '_')}"
+SRC_URI = "${HANDHELDS_CVS};tag=${TAG};module=opie/noncore/applets/networkapplet \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/pics"
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadApplets()"
+}
+
+# FILES plugins/applets/libnetworkapplet.so* pics/networkapplet
+do_install() {
+ install -d ${D}${palmtopdir}/pics/${APPNAME}/
+ install -m 0644 ${WORKDIR}/pics/${APPNAME}/*.png ${D}${palmtopdir}/pics/${APPNAME}/
+}